import type { AxiosResponse } from 'axios';
export declare function ensureDirectoryExists(directoryName: string): void;
export declare function saveResponse<T>({ directoryName, data, customFilePath }: {
    directoryName: string;
    data: T;
    customFilePath: string;
}): void;
export declare function onAxiosRequestFulfilled({ response, providerConfigKey, connectionId, syncName }: {
    response: AxiosResponse;
    providerConfigKey: string | undefined;
    connectionId: string;
    syncName: string;
}): AxiosResponse;
